/* iomd.h.ioctl */

#ifndef _def__IOCTL
#define _def__IOCTL

/* Definitions for DMA State machine */
#define STATE_I    0x0
#define STATE_DL0  0x9
#define STATE_DL1  0xA
#define STATE_WRL0 0xC
#define STATE_WRL1 0xD
#define STATE_WRL2 0xE
#define STATE_WRL3 0xF
#define STATE_WRH  0xB
#define STATE_DH   0x0
#define STATE_SI   0x1

#define SPEED_A 0x0
#define SPEED_B 0x1
#define SPEED_C 0x2
#define SPEED_D 0x3

#define READ 0x1
#define WRITE 0x0

#define EAS 0x1

extern void IOCTL_declare(/* void */);

#endif

